aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/deployqtHelper_mac.sh
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@digia.com>2014-08-27 10:28:58 +0200
committerEike Ziller <eike.ziller@digia.com>2014-08-27 13:21:57 +0200
commit7d23c5050237d3a9c2fdf1ac9edf2ab139ef0c48 (patch)
tree78e3f41cbc9a64a9b79cc0a9604f3c0056dc2269 /scripts/deployqtHelper_mac.sh
parent83378d2af37b01956c72cfc219ee8136720eb042 (diff)
Fix deployment of clang library
Since the plugins moved in 6aad96d89b5cd4f8b7e06b72cf911054c5d89037, the rpath of the clang code model plugin was broken for deployed clang library. Change-Id: I5d59390540918c73a2cd217bb5ebf8f947122f01 Reviewed-by: Erik Verbruggen <erik.verbruggen@digia.com>
Diffstat (limited to 'scripts/deployqtHelper_mac.sh')
-rwxr-xr-xscripts/deployqtHelper_mac.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/deployqtHelper_mac.sh b/scripts/deployqtHelper_mac.sh
index 78188870b6..4f1667f2a0 100755
--- a/scripts/deployqtHelper_mac.sh
+++ b/scripts/deployqtHelper_mac.sh
@@ -60,6 +60,6 @@ if [ $LLVM_INSTALL_DIR ]; then
if [ ! -f "$_CLANG_CODEMODEL_LIB" ]; then
_CLANG_CODEMODEL_LIB="$1/Contents/PlugIns/libClangCodeModel.dylib"
fi
- xcrun install_name_tool -rpath "$LLVM_INSTALL_DIR/lib" "@loader_path/.." "$_CLANG_CODEMODEL_LIB" || true
+ xcrun install_name_tool -rpath "$LLVM_INSTALL_DIR/lib" "@loader_path" "$_CLANG_CODEMODEL_LIB" || true
fi